RCUR

Subscriptions

Show subscription

get https://rcur.app/api/v2/subscriptions/{id}

Requires your API key as Authorization: Bearer <key>. See authentication.

Path parameters

  • id string required

Responses

200 Subscription details Subscription object
  • id string required
  • name string required
  • status string required

    One of draft active paused cancelled completed

  • start_date string required
  • mollie_mandate_id string
  • mollie_profile_id string
  • next_payment_at string nullable
  • next_amount string nullable
  • last_payment_created_at string nullable
  • resume_at string nullable
  • cancel_at string nullable
  • customer_portal string

    Can the customer pause and cancel this subscription in the customer portal: inherit follows the customer portal settings, allow and deny overrule them

    One of inherit allow deny

  • discount SubscriptionDiscount object

    The discount that lowers the next payments of the subscription

    10 child attributes · SubscriptionDiscount
    • discount_id string nullable

      The discount code it came from; null for a discount without a code

    • code string nullable
    • type string required

      One of percentage fixed

    • value string required
    • currency string nullable
    • duration string required

      One of once repeating forever

    • periods_total integer nullable
    • periods_used integer required
    • total_discounted string required
    • created_at string
  • created_at string required
  • rules array of SubscriptionRules
    8 child attributes · SubscriptionRule
    • id string required
    • amount string required
    • currency string required

      One of AED AUD BGN BRL CAD CHF CZK DKK EUR GBP HKD HUF ILS ISK JPY MXN MYR NOK NZD PHP PLN RON SEK SGD THB TWD USD ZAR

    • interval string required

      One of day week month year

    • interval_amount integer required
    • day integer required
    • times integer nullable
    • times_done integer required
  • customer object
404 Resource not found Error object
  • status integer required
  • error string required
Try it Send this request with your own API key

Requests run against the live data of the organization that owns the key.